Bug 64431 - FILESAVE: Broken hyperlink to another file in PPT
Summary: FILESAVE: Broken hyperlink to another file in PPT
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 51940 (view as bug list)
Depends on:
Blocks: PPT-Limitations Hyperlink
  Show dependency treegraph
 
Reported: 2013-05-10 14:52 UTC by ign_christian
Modified: 2018-08-22 02:36 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Broken hyperlink.ppt (70.50 KB, application/vnd.ms-powerpoint)
2013-05-10 14:52 UTC, ign_christian
Details
Attachment 1.png (118.58 KB, image/png)
2013-05-10 14:53 UTC, ign_christian
Details
Attachment 2.png (125.86 KB, image/png)
2013-05-10 14:54 UTC, ign_christian
Details
Broken hyperlink.ppt (70.50 KB, application/vnd.ms-powerpoint)
2013-05-10 14:56 UTC, ign_christian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ign_christian 2013-05-10 14:52:27 UTC
Created attachment 79099 [details]
Broken hyperlink.ppt

Steps to reproduce:
1. Create new blank presentation
2. Write a few words (in this sample: "Testing hyperlink")
3. Mark all that words ("Testing hyperlink") 
4. Menu: Insert > Hyperlink > Document > Path / Open File > select a document (in this sample: '/home/christian/Downloads/Test File.odp') > Apply > Close
5. Save that presentation as : 'Broken hyperlink.ppt'
6. Test the hyperlink by clicking the words (Attachment 1.png) > Target document will open > close it
7. Close that presentation file (Broken hyperlink.ppt) 
8. Reopen 'Broken hyperlink.ppt' (Attachment 2.png)

From screenshot 'Attachment 2.png' we see:
- hyperlink changed to '/.../Downloads/Test File.odp'
- fonts color of "Testing hyperlink" changed to grey
Comment 1 ign_christian 2013-05-10 14:53:36 UTC
Created attachment 79100 [details]
Attachment 1.png
Comment 2 ign_christian 2013-05-10 14:54:19 UTC
Created attachment 79101 [details]
Attachment 2.png
Comment 3 ign_christian 2013-05-10 14:56:21 UTC
Created attachment 79102 [details]
Broken hyperlink.ppt
Comment 4 ign_christian 2013-05-10 14:58:54 UTC
This bug happen on:
- LO 3.6.6.2 (Ubuntu 12.04.2 LTS 32bit)
- LO 4.0.3.3 (Win7 Home Premium 32bit)
Comment 5 Julien Nabet 2013-05-10 18:15:49 UTC
On pc Debian x86-64 with master sources updated today, I reproduce this problem.

Thorsten: one for you?
Comment 6 ign_christian 2013-06-03 11:53:45 UTC
*** Bug 51940 has been marked as a duplicate of this bug. ***
Comment 7 QA Administrators 2015-07-18 17:42:52 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2015-10-16 20:00:55 UTC
Repro from scratch.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 9 QA Administrators 2018-08-22 02:36:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug